!+ Function to calculate the residual in the scattering.
!
! Method:
!	Straightforward
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	 Version 	   Date	  		Comment
!   
!	 1.0		   12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77 with extensions listed in documentation. 
!
!- ---------------------------------------------------------------------
      FUNCTION SCATTERING_RESIDUAL(N_DATA, I_FIT_TYPE, N_PARAMETER
     &   , VOL_FRACTION, RADIUS_EFFECTIVE
     &   , SCATTERING, PARM)
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/cloud_parametrization.pcf'
!
!     DUMMY ARGUMENTS
      INTEGER	!, INTENT(IN)
     &     N_DATA
!             NUMBER OF DATA POINTS
     &   , I_FIT_TYPE
!             TYPE OF FIT TO BE USED
     &   , N_PARAMETER
!             NUMBER OF PARAMETERS
      REAL*8	!, INTENT(OUT)
     &     SCATTERING_RESIDUAL
!             FITTED SCATTERING
      REAL*8	!, INTENT(IN)
     &     SCATTERING(N_DATA)
!             ACTUAL SCATTERING
     &   , VOL_FRACTION(N_DATA)
!             VOLUME FRACTION OF ABSORBER
     &   , RADIUS_EFFECTIVE(N_DATA)
!             EFFECTIVE RADIUS OF PARTICLES
     &   , PARM(N_PARAMETER)
!             FITTING PARAMETERS
!
!
      SCATTERING_RESIDUAL=0.0D+00
!
!
      RETURN
      END
